Says my OS is below requirements but its not.

Technical Support
Minimum is:

AMD Athlon™ 64 X2 4400+ (or better)

I have a AMD Athlon 64 X2 5000

which is slightly higher then the minimum yet it is telling me it is below and not installing at all, please help!

Join the Conversation

Return to Forum